Skip to main content
Server path: /vercel-teams | Type: Application | PCID required: Yes

Tools

ToolDescription
vercel_teams_create_auth_tokenCreate an Auth Token
vercel_teams_create_teamCreate a Team
vercel_teams_delete_auth_tokenDelete an authentication token
vercel_teams_delete_microfrontends_groupDelete a microfrontends group
vercel_teams_delete_teamDelete a Team
vercel_teams_delete_team_invite_codeDelete a Team invite code
vercel_teams_exchange_sso_tokenSSO Token Exchange
vercel_teams_get_auth_tokenGet Auth Token Metadata
vercel_teams_get_auth_userGet the User
vercel_teams_get_teamGet a Team
vercel_teams_get_team_access_requestGet access request status
vercel_teams_get_team_membersList team members
vercel_teams_get_teamsList all teams
vercel_teams_invite_user_to_teamInvite a user
vercel_teams_join_teamJoin a team
vercel_teams_list_auth_tokensList Auth Tokens
vercel_teams_list_event_typesList Event Types
vercel_teams_list_user_eventsList User Events
vercel_teams_patch_teamUpdate a Team
vercel_teams_post_team_dsync_rolesUpdate Team Directory Sync Role Mappings
vercel_teams_remove_team_memberRemove a Team Member
vercel_teams_request_access_to_teamRequest access to a team
vercel_teams_request_deleteDelete User Account
vercel_teams_update_microfrontends_groupUpdate a microfrontends group
vercel_teams_update_team_memberUpdate a Team Member

vercel_teams_create_auth_token

Create an Auth Token Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
expiresAtnumberNoExpires At
namestringYesThe name value

vercel_teams_create_team

Create a Team Parameters:
ParameterTypeRequiredDefaultDescription
attributionobjectNoAttribution information for the session or current page
namestringNoThe desired name for the Team. It will be generated from the provided slug if nothing is provided
slugstringYesThe desired slug for the Team

vercel_teams_delete_auth_token

Delete an authentication token Parameters:
ParameterTypeRequiredDefaultDescription
tokenIdstringYesThe identifier of the token to invalidate. The special value “current” may be supplied, which invalidates the token that the HTTP request was authenticated with.

vercel_teams_delete_microfrontends_group

Delete a microfrontends group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe microfrontend group ID to delete.
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_teams_delete_team

Delete a Team Parameters:
ParameterTypeRequiredDefaultDescription
newDefaultTeamIdstringNoId of the team to be set as the new default team
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
reasonsany[]NoOptional array of objects that describe the reason why the team is being deleted.

vercel_teams_delete_team_invite_code

Delete a Team invite code Parameters:
ParameterTypeRequiredDefaultDescription
inviteIdstringYesThe Team invite code ID.
teamIdstringYesThe Team identifier to perform the request on behalf of.

vercel_teams_exchange_sso_token

SSO Token Exchange Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

vercel_teams_get_auth_token

Get Auth Token Metadata Parameters:
ParameterTypeRequiredDefaultDescription
tokenIdstringYesThe identifier of the token to retrieve. The special value “current” may be supplied, which returns the metadata for the token that the current HTTP request is authenticated with.

vercel_teams_get_auth_user

Get the User

vercel_teams_get_team

Get a Team Parameters:
ParameterTypeRequiredDefaultDescription
slugstringNoThe slug value
teamIdstringYesThe Team identifier to perform the request on behalf of.

vercel_teams_get_team_access_request

Get access request status Parameters:
ParameterTypeRequiredDefaultDescription
userIdstringYesThe unique user identifier
teamIdstringYesThe unique team identifier

vercel_teams_get_team_members

List team members Parameters:
ParameterTypeRequiredDefaultDescription
limitnumberNoLimit how many teams should be returned
sincenumberNoTimestamp in milliseconds to only include members added since then.
untilnumberNoTimestamp in milliseconds to only include members added until then.
searchstringNoSearch team members by their name, username, and email.
rolestringNoOnly return members with the specified team role.
excludeProjectstringNoExclude members who belong to the specified project.
eligibleMembersForProjectIdstringNoInclude team members who are eligible to be members of the specified project.
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_teams_get_teams

List all teams Parameters:
ParameterTypeRequiredDefaultDescription
limitnumberNoMaximum number of Teams which may be returned.
sincenumberNoTimestamp (in milliseconds) to only include Teams created since then.
untilnumberNoTimestamp (in milliseconds) to only include Teams created until then.

vercel_teams_invite_user_to_team

Invite a user Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodyany[]NoRequest body

vercel_teams_join_team

Join a team Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringYesThe unique team identifier
inviteCodestringNoThe invite code to join the team.

vercel_teams_list_auth_tokens

List Auth Tokens

vercel_teams_list_event_types

List Event Types Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_teams_list_user_events

List User Events Parameters:
ParameterTypeRequiredDefaultDescription
limitnumberNoMaximum number of items which may be returned.
sincestringNoTimestamp to only include items created since then.
untilstringNoTimestamp to only include items created until then.
typesstringNoComma-delimited list of event “types” to filter the results by.
userIdstringNoDeprecated. Use principalId instead. If principalId and userId both exist, principalId will be used.
principalIdstringNoWhen retrieving events for a Team, the principalId parameter may be specified to filter events generated by a specific principal.
projectIdsstringNoComma-delimited list of project IDs to filter the results by.
withPayloadstringNoWhen set to true, the response will include the payload field for each event.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_teams_patch_team

Update a Team Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
avatarstringNoThe hash value of an uploaded image.
defaultDeploymentProtectionobjectNoDefault deployment protection settings for new projects.
defaultExpirationSettingsobjectNoDefault Expiration Settings
descriptionstringNoA short text that describes the team.
emailDomainstringNoEmail Domain
enablePreviewFeedbackstringNoEnable preview toolbar: one of on, off or default.
enableProductionFeedbackstringNoEnable production toolbar: one of on, off or default.
hideIpAddressesbooleanNoDisplay or hide IP addresses in Monitoring queries.
hideIpAddressesInLogDrainsbooleanNoDisplay or hide IP addresses in Log Drains.
namestringNoThe name of the team.
nsnbConfigobjectNoNsnb Config
previewDeploymentSuffixstringNoSuffix that will be used for all preview deployments.
regenerateInviteCodebooleanNoCreate a new invite code and replace the current one.
remoteCachingobjectNoWhether or not remote caching is enabled for the team
resourceConfigobjectNoResource configuration for the team.
samlobjectNoThe saml value
sensitiveEnvironmentVariablePolicystringNoSensitive environment variable policy: one of on, off or default.
strictDeploymentProtectionSettingsobjectNoWhen enabled, deployment protection settings require stricter permissions (owner-only).

vercel_teams_post_team_dsync_roles

Update Team Directory Sync Role Mappings Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
rolesobjectYesDirectory groups to role or access group mappings.

vercel_teams_remove_team_member

Remove a Team Member Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe user ID of the member.
newDefaultTeamIdstringNoThe ID of the team to set as the new default team for the Northstar user.
teamIdstringYesThe unique team identifier

vercel_teams_request_access_to_team

Request access to a team Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringYesThe unique team identifier
joinedFromobjectYesJoined From

vercel_teams_request_delete

Delete User Account Parameters:
ParameterTypeRequiredDefaultDescription
reasonsany[]NoOptional array of objects that describe the reason why the User account is being deleted.

vercel_teams_update_microfrontends_group

Update a microfrontends group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesGroup Id
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
fallbackEnvironmentstringNoThe new fallback environment for the microfrontends group. Must be “SAME_ENV”, “PRODUCTION”, or a valid custom environment slug from the default app.
namestringNoThe new name for the existing microfrontends group.

vercel_teams_update_team_member

Update a Team Member Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe ID of the member.
teamIdstringYesThe unique team identifier
confirmedbooleanNoAccept a user who requested access to the team.
joinedFromobjectNoJoined From
projectsany[]NoThe projects value
rolestringNoThe role in the team of the member.